package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VehicleDockLogE;

import java.util.List;

/**
 * web-domain
 *
 * @Author dearLin
 * @Date 2026-04-14 14:53:29
 */
public interface VehicleDockLogGateway {

    /**
     * 新增
     */
    Boolean add(VehicleDockLogE vehicleDockLogE);

    /**
     * 修改
     */
    Boolean update(VehicleDockLogE vehicleDockLogE);

    /**
     * 删除
     */
    Boolean deletedVehicleDockLogById(Long id);

    Boolean deletedVehicleDockLogByIds(List<Long> id);
}

